declare namespace _default {
    export const version: string;
    export const name: string;
    export const instructions: ({
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
    } | {
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: string;
        }[];
    })[];
    export const accounts: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    vec: {
                        array: (string | number)[];
                    };
                };
            })[];
        };
    } | {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: {
                    defined: string;
                    array?: undefined;
                };
            } | {
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    defined?: undefined;
                };
            })[];
        };
    })[];
    export const types: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    vec: {
                        array: (string | number)[];
                    };
                    array?: undefined;
                };
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    vec?: undefined;
                };
            })[];
            variants?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: {
                    array: (string | number)[];
                    defined?: undefined;
                };
            } | {
                name: string;
                type: {
                    defined: string;
                    array?: undefined;
                };
            })[];
            variants?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            variants: {
                name: string;
            }[];
            fields?: undefined;
        };
    })[];
    export const events: {
        name: string;
        fields: {
            name: string;
            type: string;
            index: boolean;
        }[];
    }[];
    export const errors: {
        code: number;
        name: string;
        msg: string;
    }[];
    export namespace metadata {
        export const address: string;
    }
}
export default _default;
