export declare const TransferType: {
    LOCK: number;
    BURN: number;
    BURN_AND_TRANSFER: number;
};
export declare const ChainId: {
    ETH: number;
    BSC: number;
    AVAX: number;
    MATIC: number;
    VOLTA: number;
};
export declare enum ChainsTypes {
    EVM = "evm",
    SOLANA = "solana"
}
export declare const Seeds: {
    HASH_DELIVERED_SEED: string;
    TELEPORT_STORAGE_SEED: string;
    TELEPORT_CALCULATOR_STORAGE_SEED: string;
    ROUTER_STORAGE_SEED: string;
    CHAIN_INFO_SEED: string;
    CHAIN_CURRENCY_INFO_SEED: string;
    GOVERNANCE_STORAGE_SEED: string;
    PAYLOAD_ACCOUNT_SEED: string;
    FEE_CALCULATOR_STORAGE_SEED: string;
    TELEPORT_FEE_COLLECTOR_SEED: string;
    TELEPORT_GOVERNANCE_STORAGE_SEED: string;
    WRAPPED_MINT_SEED: string;
    ROUTER_VAULT_ATA_SEED: string;
    ROUTER_VAULT_SEED: string;
    WRAPPED_MINT_INFO_SEED: string;
    LOCKED_MINT_SEED: string;
};
export declare const CONFIRMED_COMMITMENT = "confirmed";
export declare const MAX_PAYLOAD_PART_SIZE = 947;
export declare const DEFAULT_TOKEN_ID = 0;
export declare const ACTION_TYPE: {
    UNLOCK: number;
    MINT: number;
};
