import { PublicKey, Transaction } from "@solana/web3.js";
import * as anchor from "@project-serum/anchor";
import { Program } from "@project-serum/anchor";
import { Wallet } from "@project-serum/anchor/dist/cjs/provider";
export declare const teleportHelperConstructor: (teleport: Program) => {
    findFeeCalculatorStoragePDA: () => Promise<[PublicKey, number]>;
    findFeeCollectorPDA: () => Promise<[PublicKey, number]>;
    findGovernanceStoragePDA: () => Promise<[PublicKey, number]>;
    findTeleportStoragePDA: () => Promise<[PublicKey, number]>;
    findDeliverPayloadPDA: (transmissionId: any) => Promise<[PublicKey, number]>;
    findDeliverAccountPDA: (transmissionId: any) => Promise<[PublicKey, number]>;
    getInitClaimPayloadAccountTxs: (payload: any, transmissionId: any, payloadAccountPDA: any) => Promise<Transaction[]>;
    getDeliverTx: (transmission: any, payloadAccountPDA: any, user: any, dappInstruction: any) => Promise<Transaction>;
    getClosePayloadAccountInstruction: (transmissionId: string, payloadAccountPDA: PublicKey, user: Wallet) => Promise<anchor.web3.TransactionInstruction>;
};
